#! /usr/bin/env python
# -*- coding: utf8 -*-

#===============================================================================
# Author: Walapa Muangjeen
#===============================================================================

#version:
#4.0.264 - version update

import re
import common as cf

class filter(object):

	cfg = {
		'version': '4.0.264',
		}
	isopen = False
	p = object
	errors = []

	def open(self,parent,cfg):
		self.regex = re.compile(u"“(.*?)”( |)\((.*?)\)")

	def run(self,k):
		newfilelist = list(self.p.cfoutput[k]['filelist'])
		newfilelist[cf.kind] = newfilelist[cf.kind] + '-dictionary'
		self.newkey = tuple(newfilelist[cf.stage+1:])
		self.p.cfoutput[k]['tempbuff'] = [ self.__filter(line) for line in self.p.cfoutput[k]['tempbuff'] ]
		self.p.writer.run(self.p.cfextract)
		self.p.writer.flush( self.p.cfextract )

	def flush(self,k):
		return

	def close(self):
		return

	def __filter(self,text):
		'''extract dictionary'''
		results = re.findall(self.regex, text)
		for found in results:
			for item in found[0].split(u'”、“'):
				for i in found[2].split(u', '):
					worddict = item, i
					self.p.cfextract[self.newkey]['tempbuff'].append('\t'.join(worddict))
					text = re.sub(u'( \(|\()'+ found[2] + '(\)\*|\)|\) )', '', text)
					text = re.sub(u'”、“', u'”和“', text)
		return text

def usage():
	'''Command prompt help.'''
	return "\n%s\n\tUsage:\n\tfrom %s import filter\n"%(
	os.path.basename(sys.argv[0]),
	os.path.splitext(os.path.basename(sys.argv[0]))[0]
	)

licensetxt=u'''CorpusFiltergraph™ v4.0
Copyright © 2010-2012 Precision Translation Tools Co., Ltd.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

For more information, please contact Precision Translation Tools Co., Ltd.
at: http://www.precisiontranslationtools.com'''

if __name__ == "__main__":
	import os
	import sys
	sys.stdout.write(usage().encode('utf8')+'\n')
